Errors from updating 2.0.14 to 2.0.17

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
geebeer
Registered User
Posts: 3
Joined: Fri Sep 02, 2005 11:35 pm

Errors from updating 2.0.14 to 2.0.17

Post by geebeer »

Hello,

I was updating from version 2.0.14 to 2.0.17. I downloaded the zip "Changed files". I opened up the zip that contained the upgrade i needed, uploaded all the files to my webserver, then went to my web browser and ran the update_to_latest.php like it said in the install txt and get numerous errors. They are:

Warning: main(./../extension.inc): failed to open stream: No such file or directory in /home/thescra1/public_html/modules/Forums/update_to_latest.php on line 46

Warning: main(./../extension.inc): failed to open stream: No such file or directory in /home/thescra1/public_html/modules/Forums/update_to_latest.php on line 46

Warning: main(): Failed opening './../extension.inc' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/thescra1/public_html/modules/Forums/update_to_latest.php on line 46

Warning: main(./../config.): failed to open stream: No such file or directory in /home/thescra1/public_html/modules/Forums/update_to_latest.php on line 47

Warning: main(./../config.): failed to open stream: No such file or directory in /home/thescra1/public_html/modules/Forums/update_to_latest.php on line 47

Warning: main(): Failed opening './../config.' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/thescra1/public_html/modules/Forums/update_to_latest.php on line 47
Please read: INSTALL.html before attempting to update.

Also now.... when I try to go the administrator section, mywebsite/modules/Forums/admin/index.php, I get the following error message:

Fatal error: Call to a member function on a non-object in /home/thescra1/public_html/modules/Forums/common.php on line 226

What can I do!

User avatar
tahoebuff
Registered User
Posts: 1427
Joined: Tue Jul 20, 2004 12:33 am
Location: Nevada
Name: Michael
Contact:

Post by tahoebuff »

the update_to_latest.php is supposed to be run in the install folder. So...you would point to:

http://yoursite.com/Forums/install/update_to_latest.php

Tahoebuff

User avatar
Rudedog713
Registered User
Posts: 3
Joined: Wed Jul 20, 2005 3:05 am
Contact:

Post by Rudedog713 »

My board is hosted by Lunar Pages and when and if I don’t have time to upgrade, they do it for me for $19.99. When it comes to upgrading versions, I’m usually confused so I just allow my host techs to do it for me. If you are not familiar with doing upgrades www.LunarPages.com is a good host.

geebeer
Registered User
Posts: 3
Joined: Fri Sep 02, 2005 11:35 pm

Post by geebeer »

Okie doke, now I put the install folder in:

mysite.com/modules/Forums/install and ran the update_to_latest.php and the error messages were not there anymore... BUT it only says this now:

Please read: INSTALL.html before attempting to update.

I read this again... and it appears that I did everything correct and in the right order.

When I try to get into the admin section of PHPBB, I still continue to get the following error:

Fatal error: Call to a member function on a non-object in /home/thescra1/public_html/modules/Forums/common.php on line 226

User avatar
jwunderly
Registered User
Posts: 5740
Joined: Sun Mar 30, 2003 2:18 pm
Location: Easton, PA (in the groove)

Post by jwunderly »

geebeer wrote: Fatal error: Call to a member function on a non-object in /home/thescra1/public_html/modules/Forums/common.php on line 226


It appears that you are running some form of 'Nuke. If this is the case, we cannot help you, as the 'Nuke ports have a (highly) modified version of the files. Any advice we render would most likely cause you more grief than you already have.

Please seek support from whereever you downloaded your forum/portal code.
John (A cranky old man. "Looking for an echo ...")
using any control-panel install/update is like shooting yourself in the foot. It won't kill you, but you're really going to hobble around until it heals.
Using the wrong tools (Front Page, DreamWeaver) gives the same results
Do not PM me for Support!

User avatar
Lumpy Burgertushie
Registered User
Posts: 67075
Joined: Mon May 02, 2005 3:11 am
Contact:

Post by Lumpy Burgertushie »

see, this is why we can't support NUKE . even the simple upgrade procedure does not work properly because the paths are all different. files and directories are not in the same places as in the standard phpbb install.


luck,
robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If a tree falls in the forest and nobody is there, does it make a sound?

geebeer
Registered User
Posts: 3
Joined: Fri Sep 02, 2005 11:35 pm

Post by geebeer »

Aha.... well that would explain the problems I am having it appears. I am indeed running PHPNuke. I appreciate this angle, I will see what I can find out over yanderway! Thx

Locked

Return to “2.0.x Support Forum”